Service returning the weather station code associated with the zipcode.
curl --request GET \
--url https://api.home.datanumia.com/api/v1/weather-stationsimport requests
url = "https://api.home.datanumia.com/api/v1/weather-stations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/weather-stations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/weather-stations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/weather-stations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/weather-stations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/weather-stations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"departmentCode": "<string>",
"stationCode": "<string>",
"stationName": "<string>",
"countryCode": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.Weather Stations
Service returning the weather station code associated with the zipcode.
Service returning the weather station code associated with the zipcode.
GET
/
weather-stations
Service returning the weather station code associated with the zipcode.
curl --request GET \
--url https://api.home.datanumia.com/api/v1/weather-stationsimport requests
url = "https://api.home.datanumia.com/api/v1/weather-stations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/weather-stations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/weather-stations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/weather-stations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/weather-stations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/weather-stations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"departmentCode": "<string>",
"stationCode": "<string>",
"stationName": "<string>",
"countryCode": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.Query Parameters
The zip code of the wanted weather station
The country code. ISO3166 alpha2 (ex FR, BE)